package com.yizhi.mall.application;

/**
 * @Date 2021/1/14 11:51 上午
 * @Author lvjianhui
 **/
public enum TokenLogType {


    // 变更类型 100:积分兑换  110:微信充值 120:支付宝充值 180:帖子被打赏 181:回帖被打赏 182:作品被打赏
    // 200:项目报名 210:课程报名 280:打赏帖子 281:打赏回帖 282:打赏作品  300:购买第三方产品
    // 小于200为金币增加 大于200为金币减少
    POINT_EXCHANGE (100,"积分充值",1,"JF"),

    PROJECT_APPLY   (200,"付费项目兑换",-1,"XM"),

    COURSE_APPLY   (210,"付费课程兑换",-1,"KC"),
    ;
    private Integer code;
    private String msg;
    // 增加为1 ，减少为-1
    private Integer addOrsSub;

    private String orderPre;


    TokenLogType(Integer code, String msg,Integer addOrsSub,String orderPre) {
        this.code = code;
        this.msg = msg;
        this.addOrsSub = addOrsSub;
        this.orderPre = orderPre;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public Integer getAddOrsSub() {
        return addOrsSub;
    }

    public String getOrderPre() {
        return orderPre;
    }
}
