package com.yizhi.mall.application;

/**
 * @Date 2021/1/14 3:32 下午
 * @Author lvjianhui
 **/
public enum  TokenSwitchType {

    // 10:积分 20:人民币 30:第三方商城

    POINT_EXCHANGE  (10,"积分换金币入口"),
    RMB_EXCHANGE    (20,"人民币充值金币入口"),
    THIRD_MALL      (30,"第三方商城入口")

    ;

    private Integer type;
    private String msg;

    TokenSwitchType(Integer type, String msg) {
        this.type = type;
        this.msg = msg;
    }

    public Integer getType() {
        return type;
    }

    public String getMsg() {
        return msg;
    }
}
