package com.yizhi.mall.application.pojo.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @ClassName: TokenExchangeRuleQO
 * @author: zjl
 * @date: 2021/1/11  16:18
 */
@Data
@ApiModel("新增积分兑换金币规则入参")
@NoArgsConstructor
@AllArgsConstructor
public class TokenExchangeRuleQO {

    @ApiModelProperty(value = "虚拟币名称")
    private String tokenName;

    @ApiModelProperty(value = "兑换比例 100表示 100积分兑换 1金币")
    private BigDecimal rate;

    @ApiModelProperty(value = "false:无条件 true:有条件")
    private Boolean exchangeCondition;

    @ApiModelProperty(value = "DAY,WEEK,MONTH,QUARTER,HALFYEAR,YEAR,ALLTIME")
    private String conditionRuleType;

    @ApiModelProperty(value = "时间范围内兑换总量")
    private Integer conditionRuleTokenCount;

}
