package com.yizhi.mall.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Date 2021/1/13 10:48 上午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class OrderDetailVO {

    @ApiModelProperty("花费数量")
    private Integer costCount;

    @ApiModelProperty("充值方式 100:积分兑换  110:微信充值 120:支付宝充值 ")
    private Integer type;

    @ApiModelProperty("订单Id")
    private String orderId;

    @ApiModelProperty("充值账户")
    private String accountName;

    @ApiModelProperty("金币数量")
    private Integer tokenCount;

    @ApiModelProperty("时间")
    private Date createdAt;

}
