package com.yizhi.mall.application.pojo.vo;

import com.yizhi.util.application.page.PageInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Date 2021/1/6 5:17 下午
 * @Author lvjianhui
 **/
@ApiModel
@Data
public class TokenLogMonthTotalVO {

    @ApiModelProperty("时间")
    private Long timestamp;

    @ApiModelProperty("获取数量")
    private Integer receiveCount = 0;

    @ApiModelProperty("使用数量")
    private Integer useCount = 0;

    @ApiModelProperty(value = "明细")
    private PageInfo<TokenLogVO> items;


}
