package com.yizhi.mall.application.config


/**
 * @Date 2021/1/14 3:45 下午
 * @Author lvjianhui
 **/
enum class MallMsgEnum(var code:String, var msg:String,var remark:String ) {

    POINT_EXCHANGE_CLOSE        ("POINT_EXCHANGE_CLOSE","POINT_EXCHANGE_CLOSE","积分兑换金币入口已关闭"),

    POINT_RULE_ERROR       ("POINT_RULE_ERROR","POINT_RULE_ERROR","积分规则配置异常"),

    POINT_EXCHANGE_TOKEN_LIMIT  ("POINT_EXCHANGE_TOKEN_LIMIT","POINT_EXCHANGE_TOKEN_LIMIT","积分兑换金币已达上限"),

    POINT_AMOUNT_NOT_ENOUGH     ("POINT_AMOUNT_NOT_ENOUGH","POINT_AMOUNT_NOT_ENOUGH","积分数量不足"),

    EXCHANGE_TOKEN_AMOUNT_ERROR ("EXCHANGE_TOKEN_AMOUNT_ERROR","EXCHANGE_TOKEN_AMOUNT_ERROR","兑换金币数必须大于0"),

    PROJECT_APPLYED     ("PROJECT_APPLYED","PROJECT_APPLYED","项目已报名"),

    TOKEN_AMOUNT_ERROR  ("TOKEN_AMOUNT_ERROR","TOKEN_AMOUNT_ERROR","金币数量不足"),

    ACCOUNT_TOKEN_PROCESSING  ("ACCOUNT_TOKEN_PROCESSING","ACCOUNT_TOKEN_PROCESSING","账户处理中"),

    PROJECT_NOT_EXIST     ("PROJECT_NOT_EXIST","PROJECT_NOT_EXIST","项目不存在，或已下架"),

    PROJECT_PARAMS_ERROR    ("PROJECT_PARAMS_ERROR","PROJECT_PARAMS_ERROR","项目报名方式设置有误"),
    PROJECT_ENROOL_TIME_ERROR    ("PROJECT_ENROOL_TIME_ERROR","PROJECT_ENROOL_TIME_ERROR","不在报名时间"),

    PROJECT_ENROLL_ACCOUNT_NUM_LIMIT("PROJECT_ENROLL_ACCOUNT_NUM_LIMIT","PROJECT_ENROLL_ACCOUNT_NUM_LIMIT","报名人数已满")

}