package com.yizhi.mall.application.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.enums.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;

import com.yizhi.mall.application.config.JpaListener;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;

/**
 * <p>
 * 
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-11
 */
@DynamicUpdate
@DynamicInsert
@Api(tags = "TokenSwitch", description = "")
@TableName("token_switch")
@Entity
@EntityListeners(value = {JpaListener.class})
public class TokenSwitch implements Serializable {

    private static final long serialVersionUID = 1L;

	@Id
	@TableId(value="id", type= IdType.AUTO)
	private Long id;

	@TableField("site_id")
	private Long siteId;

	@TableField("company_id")
	private Long companyId;

	@ApiModelProperty(value = "10:积分 20:人民币 30:第三方商城")
	private Integer type;

	@ApiModelProperty(value = "如果为0，则关闭。1:打开")
	@TableField("token_switch")
	private Boolean tokenSwitchBol;

	@TableField("created_at")
	private Date createdAt;

	@TableField("created_uid")
	private Long createdUid;

	@TableField("updated_at")
	private Date updatedAt;

	@TableField("updated_uid")
	private Long updatedUid;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Boolean getTokenSwitchBol() {
		return tokenSwitchBol;
	}

	public void setTokenSwitchBol(Boolean tokenSwitch) {
		this.tokenSwitchBol = tokenSwitch;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Long getCreatedUid() {
		return createdUid;
	}

	public void setCreatedUid(Long createdUid) {
		this.createdUid = createdUid;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Long getUpdatedUid() {
		return updatedUid;
	}

	public void setUpdatedUid(Long updatedUid) {
		this.updatedUid = updatedUid;
	}

	@Override
	public String toString() {
		return "TokenSwitch{" +
			", id=" + id +
			", siteId=" + siteId +
			", companyId=" + companyId +
			", type=" + type +
			", tokenSwitchBol=" + tokenSwitchBol +
			", createdAt=" + createdAt +
			", createdUid=" + createdUid +
			", updatedAt=" + updatedAt +
			", updatedUid=" + updatedUid +
			"}";
	}
}
