package com.yizhi.mall.application.repository;

import com.yizhi.mall.application.domain.AccountExchangeLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2021-01-07
 */
public interface AccountExchangeLogRepository extends  JpaRepository<AccountExchangeLog,Long>, QuerydslPredicateExecutor<AccountExchangeLog>{
    /**
     * 获取用户兑换记录数
     * @param accountId
     * @param siteId
     * @return
     */
    Integer countAccountExchangeLogsByAccountIdAndSiteId(Long accountId, Long siteId);

}
