package com.yizhi.mall.application.utils

import cn.hutool.core.date.DateUtil
import cn.hutool.core.util.RandomUtil
import com.yizhi.core.application.context.ContextHolder
import java.util.*


/**
 * @Date 2021/1/15 3:09 下午
 * @Author lvjianhui
 **/
object MallOrderIdUtils {

    fun generateorderIdByUserAndLog(tokenLog: Long): String {
        val accountId = ContextHolder.get().accountId
        val currentDate = Date()
        val sn = StringBuffer().append(currentDate.time).append(tokenLog).append(accountId)
        val randomStr = RandomUtil.randomString(sn.toString(), 8)
        val currentDateStr = DateUtil.format(currentDate, "yyMMddHHmmssSSS")
        return currentDateStr + randomStr
    }

}