package com.yizhi.mall.application.xservice

import com.yizhi.mall.application.pojo.qo.ApplyProjectPO
import com.yizhi.mall.application.pojo.qo.TokenExchangePO


/**
 * @Date 2021/1/13 2:34 下午
 * @Author lvjianhui
 **/
interface TokenXService {
    /**
     * 查看可用积分数量
     */
    fun getPointCount(): Int

    /**
     * 积分兑换金币
     */
    fun pointExchangeToken(po: TokenExchangePO)

    /**
     * 项目报名
     */
    fun costToProject(po: ApplyProjectPO)
}