package com.yizhi.mall.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: ManageTokenSwitchVO
 * @author: zjl
 * @date: 2021/1/15  9:24
 */
@Data
@ApiModel(value = "管理端兑换开关返回vo")
public class ManageTokenSwitchVO {

    private Long siteId;

    private Long companyId;

    @ApiModelProperty(value = "10:积分 20:人民币 30:第三方商城")
    private Integer type;

    @ApiModelProperty(value = "false则关闭。true:打开")
    private Boolean tokenSwitchBol;
}
