package com.yizhi.mall.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Date 2021/1/6 4:04 下午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class TokenConfigVO {

    @ApiModelProperty("token 名称")
    private String tokenName;

    @ApiModelProperty("false:无条件 true:有条件")
    private Boolean exchangeCondition;

    @ApiModelProperty("DAY,WEEK,MONTH,QUARTER,HALFYEAR,YEAR,ALLTIME")
    private String ruleType;

    @ApiModelProperty("时间范围内退换总量")
    private Integer ruleTokenCount;

    @ApiModelProperty("兑换比例 100积分兑换 1金币时 返回100")
    private BigDecimal rate;

}
