package com.yizhi.mall.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Date 2021/1/7 10:23 上午
 * @Author lvjianhui
 **/
@ApiModel
@Data
public class TokenLogVO {

    @ApiModelProperty("时间")
    private Date createdAt;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("数量 +加 -减")
    private Integer count;

    @ApiModelProperty("业务类型 变更类型 100:积分兑换  110:微信充值 120:支付宝充值 180:帖子被打赏 181:回帖被打赏 182:作品被打赏   200:项目报名 210:课程报名 280:打赏帖子 281:打赏回帖 282:打赏作品  300:购买第三方产品")
    private Integer type;

    @ApiModelProperty("如股业务类型 属于平台业务，则为业务ID。如果有值，则更具该值跳相应业务的页面。如果无值则 更具订单ID跳订单详情页面")
    private Long relationId;

    @ApiModelProperty("订单ID")
    private String orderId;

    @ApiModelProperty("业务项目名 或考试名 或作品名称")
    private String relationName;
}
