package com.yizhi.mall.application.repository;

import com.yizhi.mall.application.domain.TokenExchangeRule;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

/**
 * @ClassName: TokenExchangeRuleRepository
 * @author: zjl
 * @date: 2021/1/11  15:46
 */
public interface TokenExchangeRuleRepository extends JpaRepository<TokenExchangeRule, Long>, QuerydslPredicateExecutor<TokenExchangeRule> {

    TokenExchangeRule findByCompanyIdAndSiteId(Long companyId, Long siteId);
}
