package com.yizhi.mall.application.repository;

import com.yizhi.mall.application.domain.TokenSwitch;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

/**
 * @ClassName: TokenSwitchRepository
 * @author: zjl
 * @date: 2021/1/15  9:56
 */
public interface TokenSwitchRepository extends JpaRepository<TokenSwitch, Long>, QuerydslPredicateExecutor<TokenSwitch> {

    TokenSwitch findByCompanyIdAndSiteIdAndType(Long companyId, Long siteId, Integer type);
}
