package com.yizhi.mall.application.service;

import com.yizhi.mall.application.domain.TokenExchangeRule;
import com.yizhi.mall.application.pojo.qo.TokenExchangeRuleQO;
import com.yizhi.mall.application.pojo.vo.TokenExchangeRuleVO;

/**
 * @ClassName: ITokenExchangeRuleService
 * @author: zjl
 * @date: 2021/1/11  15:32
 */
public interface ITokenExchangeRuleService {

    /**
     * 获取规则
     *
     * @return
     */
    TokenExchangeRule getTokenExchangeRule();

    /**
     * 新增/修改规则
     *
     * @param qo
     * @return
     */
    TokenExchangeRuleVO saveOrUpdateTokenExchangeRule(TokenExchangeRuleQO qo);

}
