package com.yizhi.mall.application.xservice;

import com.yizhi.mall.application.pojo.vo.QualityContentVO;
import com.yizhi.training.application.param.PaidTrainingProjectQO;
import com.yizhi.training.application.vo.api.PaidTrainingProjectVO;
import com.yizhi.util.application.page.PageInfo;

/**
 * @ClassName: QualityContentXService
 * @author: zjl
 * @date: 2021/1/12  9:51
 */
public interface QualityContentXService {
    /**
     * 获取精品内容个人信息
     * @return
     */
    QualityContentVO getQualityContent();

    /**
     * 获取付费项目并排序筛选
     * @param qo
     * @return
     */
    PageInfo<PaidTrainingProjectVO> getPaidTrainingProject(PaidTrainingProjectQO qo);
}
