package com.yizhi.mall.application.xservice

import com.yizhi.core.application.context.RequestContext
import com.yizhi.mall.application.pojo.vo.OrderDetailVO
import com.yizhi.mall.application.pojo.vo.TokenLogMonthTotalVO
import com.yizhi.mall.application.pojo.vo.TokenLogVO
import com.yizhi.util.application.page.PageInfo
import java.util.*


/**
 * @Date 2021/1/7 10:54 上午
 * @Author lvjianhui
 **/
interface TokenLogXService {
    fun getLogByType(startAt: Date, endAt: Date, type: Int?, pageIndex: Int, pageSize: Int): PageInfo<TokenLogVO>

    fun getTokenTotal(startAt:Long?, type: Int?, pageIndex: Int, pageSize: Int): TokenLogMonthTotalVO?

    fun getOrderDetail(accountId: Long, companyId: Long, siteId: Long, orderId: String): OrderDetailVO
}