package com.yizhi.mall

import cn.hutool.core.date.DateUtil
import org.junit.Test
import java.util.*


/**
 * @Date 2021/1/11 4:25 下午
 * @Author lvjianhui
 **/
class DateUtils {


    @Test
    fun test() {
        var calendar = Calendar.getInstance()
//        calendar.set(calendar.get(Calendar.YEAR), calendar.get(Calendar.MONTH), 1)
        calendar.set(Calendar.HOUR_OF_DAY,0)
        calendar.set(Calendar.MINUTE,0)
        calendar.set(Calendar.SECOND,0)


        // 年
        calendar.set(Calendar.YEAR,calendar.get(Calendar.YEAR))
        calendar.set(Calendar.MONTH,Calendar.JANUARY)
        calendar.set(Calendar.DAY_OF_MONTH,1)
        println("年开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
        calendar.add(Calendar.YEAR ,1)
        println("年结束======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))


        calendar.clear()
        calendar = Calendar.getInstance()
        // 月
        calendar.set(Calendar.YEAR,calendar.get(Calendar.YEAR))
        calendar.set(Calendar.MONTH,calendar.get(Calendar.MONTH))
        calendar.set(Calendar.DAY_OF_MONTH,1)
        calendar.set(Calendar.HOUR_OF_DAY,0)
        calendar.set(Calendar.MINUTE,0)
        calendar.set(Calendar.SECOND,0)
        println("月开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
        calendar.add(Calendar.MONTH ,1)
        println("月结束======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))

        calendar.clear()
        calendar = Calendar.getInstance()
        // 周
        calendar.set(Calendar.HOUR_OF_DAY,0)
        calendar.set(Calendar.MINUTE,0)
        calendar.set(Calendar.SECOND,0)
        calendar.set(Calendar.YEAR,calendar.get(Calendar.YEAR))
        calendar.set(Calendar.DAY_OF_WEEK,Calendar.MONDAY)
        calendar.set(Calendar.WEEK_OF_YEAR,calendar.get(Calendar.WEEK_OF_YEAR))
        println("周开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
        calendar.add(Calendar.WEEK_OF_YEAR ,1)
        println("周结束======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))


        calendar.clear()
        calendar = Calendar.getInstance()
        // 季度
        calendar.set(Calendar.HOUR_OF_DAY,0)
        calendar.set(Calendar.MINUTE,0)
        calendar.set(Calendar.SECOND,0)
        calendar.set(Calendar.YEAR,calendar.get(Calendar.YEAR))
        val quarter = DateUtil.quarter(calendar.time) - 1
        calendar.set(Calendar.MONTH,Calendar.JANUARY)
        calendar.set(Calendar.DAY_OF_MONTH,1)
        calendar.add(Calendar.MONTH,quarter*3)
        println("季度开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
        calendar.add(Calendar.MONTH ,3)
        println("季度结束======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))


        calendar.clear()
        calendar = Calendar.getInstance()
        // 季度
        calendar.set(Calendar.HOUR_OF_DAY,0)
        calendar.set(Calendar.MINUTE,0)
        calendar.set(Calendar.SECOND,0)
        println("日开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
        calendar.add(Calendar.DAY_OF_YEAR ,1)
        println("日开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))


        calendar.clear()
        calendar = Calendar.getInstance()
//        calendar.time = Date(Date().time + 3600 * 1000 * 24 * 30 *6L)
        // 半年
        calendar.set(Calendar.HOUR_OF_DAY,0)
        calendar.set(Calendar.MINUTE,0)
        calendar.set(Calendar.SECOND,0)
        calendar.set(Calendar.MONTH,Calendar.JULY)
        calendar.set(Calendar.DAY_OF_MONTH,1)
        if (Date().time  >= calendar.time.time) {
            println("半年开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
            calendar.add(Calendar.MONTH ,6)
            println("半年结束======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
        }else {
            println("半年开始======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
            calendar.set(Calendar.MONTH,Calendar.JANUARY)
            println("半年结束======" + DateUtil.format(calendar.time,"yyyyMMdd HH:mm:ss"))
        }



    }




}